Zum Hauptinhalt springen
POST
/
image
/
background-remove
/api/v1/image/background-remove
curl --request POST \
  --url https://api.venice.ai/api/v1/image/background-remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image_url": "https://example.com/image.jpg"
}
'
import requests

url = "https://api.venice.ai/api/v1/image/background-remove"

payload = { "image_url": "https://example.com/image.jpg" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://example.com/image.jpg'})
};

fetch('https://api.venice.ai/api/v1/image/background-remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Remove the background from an image. Provide either an image file/base64 or an image URL.

image

The image to remove the background from. Can be either a file upload or a base64-encoded string. File size must be less than 25MB.

image_url
string<uri>

URL of the image to remove the background from.

Beispiel:

"https://example.com/image.jpg"

Antwort

OK - PNG image with transparent background

The response is of type file.